Skip to main content
`Ctrl`+`K`

# VecISShift

Shifts the elements of a vector, specified by an index set, by a constant

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecISShift(Vec V, IS S, PetscScalar c)

Logically Collective

## Input Parameters

- V - the vector

- S - index set for the locations in the vector

- c - the constant

## Notes

The index set identifies entries in the global vector. Negative indices are skipped; indices outside the ownership range of V will raise an error.

## See Also

`VecISCopy()`, `VecISAXPY()`, `VecISSet()`, `VecShift()`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

## Examples

src/ts/tutorials/ex30.c
src/snes/tutorials/ex11.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages